Subject: bug#22919: calc should use square root symbol to denote square root

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 15 Sep 2020 18:04:58 +0200

Glenn Morris <[email-masked]> writes:

> Alexis wrote:
>
>> to suggest this patch not be applied without also either adding a way
>> to customise which character gets used as the square root symbol, or
>> logic to only display a square root glyph when it's certain it's
>> available.
>
> See eg ruler-mode-fill-column-char and how it uses char-displayable-p.

There was then some worry whether that would work on ttys...  but I
think that's perhaps a too-obscure use case to hinder this change, so I
went ahead and applied the patch (with Glenn's suggestions) to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no